cURL
curl --request POST \ --url https://dev.exante.app/api/invoices/{invoice_uid}/line_items \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "context_type": "DISCOUNT", "sku": "<string>", "quantity": 1, "unit_price": 123, "currency": "<string>" } '
{ "status": "success", "status_code": 200, "message": "Line item updated successfully", "data": { "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "invoice_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "context_type_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "context_type": "DISCOUNT", "context_name": "<string>", "currency": "<string>", "quantity": 123, "unit_price": 123, "line_total": 123 } }
Creates one line item or a batch of line items for an invoice. Send either a single object or an array.
{ "context_type": "PRODUCT", "sku": "SKU-001", "quantity": 2, "unit_price": 12500, "currency": "USD" }
[ { "context_type": "PRODUCT", "sku": "SKU-001", "quantity": 2 }, { "context_type": "DISCOUNT", "sku": "DISC-10", "quantity": 1, "unit_price": 1000 } ]
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Invoice UID
DISCOUNT
PRODUCT
x >= 0
Override unit price in cents.
3
Line item(s) created
"success"
200
"Line item updated successfully"
Show child attributes